.form {
  box-sizing: border-box;
  width: 100%;

  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  .field {
    margin: 10px 0;

    &:first-of-type {
      margin: 0;
    }

    .input {
      border: 1px solid darken(#fff, 10);
      border-radius: 3px;
      background-color: #fff;

      &:not(.textarea) {
        padding: 7px 7px;
        background-color: transparent;
      }

      &.submit {
        * {
          cursor: pointer;
        }
      }

      textarea {
        @at-root .textarea {
          height: 100px;
          box-sizing: content-box;
          padding: 5px 7px;
          background-color: #fff;
        }
        height: 100px;
      }
    }
  }

  .submit {
    input {
      padding: 5px 0;
      cursor: pointer;

      &:hover {
        color: darken(#fff, 40);
      }
    }
  }
}
